class qdii::firejail {
    package { 'firejail':
        ensure => 'latest',
        name   => 'firejail',
    }
    file { 'firejail-config-dir':
        ensure  => 'directory',
        path    => "$qdii::homedir/.config/firejail",
        require => File['qdii_config_dir'],
    }
    file { 'firejail-firefox':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/firefox.local",
        source  => 'puppet:///modules/qdii/dotfiles/firefox.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-git':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/git.local",
        source  => 'puppet:///modules/qdii/dotfiles/git.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-keepassxc':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/keepassxc.local",
        source  => 'puppet:///modules/qdii/dotfiles/keepassxc.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-mpv':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/mpv.local",
        source  => 'puppet:///modules/qdii/dotfiles/mpv.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-vlc':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/vlc.local",
        source  => 'puppet:///modules/qdii/dotfiles/vlc.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-chromium':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/chromium.local",
        source  => 'puppet:///modules/qdii/dotfiles/chromium.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-standardnotes-desktop':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/standardnotes-desktop.local",
        source  => 'puppet:///modules/qdii/dotfiles/standardnotes-desktop.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-signal':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/signal-desktop.local",
        source  => 'puppet:///modules/qdii/dotfiles/signal-desktop.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-mutt':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/mutt.local",
        source  => 'puppet:///modules/qdii/dotfiles/mutt.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-nextcloud':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/nextcloud.local",
        source  => 'puppet:///modules/qdii/dotfiles/nextcloud.local',
        require => File['firejail-config-dir'],
    }
    file { 'firejail-virtualbox':
        ensure  => 'file',
        path    => "$qdii::homedir/.config/firejail/virtualbox.local",
        source  => 'puppet:///modules/qdii/dotfiles/virtualbox.local',
        require => File['firejail-config-dir'],
    }
}
