class qdii {
  if $::fqdn =~ /.*roam\.corp\.google\.com/ {
    $homedir = '/home/qdii'
    $at_work = true
    $limo = false
    $is_desktop = true
    $is_server = false
    $dodges = false
    $k8s = false
  }
  elsif $::fqdn =~ /.*\.corp\.google\.com/ {
    $homedir = '/usr/local/google/home/qdii'
    $at_work = true
    $limo = false
    $is_desktop = false
    $is_server = false
    $dodges = false
    $k8s = false
  }
  elsif $::fqdn =~ /.*\.c\.googlers\.com/ {
    $homedir = '/usr/local/google/home/qdii'
    $at_work = true
    $limo = false
    $is_desktop = false
    $is_server = false
    $dodges = false
    $k8s = false
  }
  elsif $::fqdn == 'limo.dodges.it' {
    $homedir = '/home/qdii'
    $at_work = false
    $limo = true
    $is_desktop = true
    $is_server = false
    $dodges = true
    $k8s = false
  }
  elsif $::fqdn == 'gfn.dodges.it' {
    $homedir = '/home/qdii'
    $at_work = false
    $limo = false
    $is_desktop = false
    $is_server = true
    $dodges = true
    $k8s = true
  }
  elsif $::fqdn =~ /.*\.dodges\.it/ {
    $homedir = '/home/qdii'
    $at_work = false
    $dodges = true
    $is_desktop = false
    $is_server = true
    $limo = false
    $k8s = true
  }
  else {
    $homedir = '/home/qdii'
    $at_work = false
    $dodges = false
    $limo = false
    $is_desktop = false
    $is_server = false
    $k8s = false
  }
  include qdii::arch
  include qdii::base
  include qdii::firefox
  include qdii::firejail
  include qdii::font
  include qdii::picom
  include qdii::i3
  include qdii::irssi
  include qdii::keepmenu
  if $k8s {
    include qdii::k8s
  }
  include qdii::mutt
  include qdii::redshift
  include qdii::user
  include qdii::tmux
  include qdii::vim
  include qdii::vpn
  #  include qdii::virtualbox
  #  include qdii::wireshark
  include qdii::xorg
  include qdii::shell
  include qdii::printer

  User <| title == me |>
}
